For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Pods
      • GETGet Pod
      • POSTCreate Pod
      • DELDelete Pod
LogoLogo
contact@agentmail.ccDiscord
API ReferencePods

Create Pod

POST
/v0/pods
POST
/v0/pods
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.pods.create()
1{
2 "pod_id": "pod_id",
3 "name": "name",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "created_at": "2024-01-15T09:30:00Z",
6 "client_id": "client_id"
7}
**CLI:** ```bash agentmail pods create --client-id my-pod ```
Was this page helpful?
Previous

Delete Pod

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringOptional
Name of pod.
client_idstringOptional
Client ID of pod.

Response

This endpoint returns an object.
pod_idstring
ID of pod.
namestring
Name of pod.
updated_atdatetime
Time at which pod was last updated.
created_atdatetime
Time at which pod was created.
client_idstring
Client ID of pod.

Errors

400
Validation Error